import QtQuick 2.0
import Ubuntu.Components 0.1

UbuntuShape {
    id: buttonRect
    width: units.gu(4)
    height: units.gu(4)
    radius: units.gu(2)
    color: buttonMA.pressed ? "#c0c0c0" : "white"

    property alias text: buttonText.text
    property alias textColor:  buttonText.color
    property int value: 0

    signal clicked()
    //signal pressAndHold()
    

    x:parent.width*(parent.offsetX*value)
    y:parent.height*(parent.offsetY*value)
    Text {
        id: buttonText
        anchors.centerIn: parent
        color: "black"
        //font.bold: 1
        font.pixelSize: units.gu(2)
        font.family: "Ubuntu"
    }

    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: buttonRect.clicked()
        //onPressAndHold: buttonRect.pressAndHold();
    }
}

