import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: bandselect
    x:0
    y:400
    width: parent.width
    height: units.gu(4)
    color: "transparent"

    property int bandValue:1
    property string bandColor:'blue'
    
    property real offsetX:0.155
    property real offsetY:0

    CustomButton {
        id: tband12
        color: "brown"
        text: "+1%"
        width:units.gu(6)
        value:1
        onClicked: {
            parent.bandColor="brown";
            parent.bandValue= '1';
            parent.update();
        }
    }
    CustomButton {
        id: tband13
        color: "red"
        text: "+2%"
        width:units.gu(6)
        value:2
        onClicked: {
            parent.bandColor="red";
            parent.bandValue= '2';
            parent.update();
        }
    }
 
    CustomButton {
        id: tband111
        color: "gold"
        text: "+5%"
        width:units.gu(6)
        value:3
        onClicked: {
            parent.bandColor="gold";
            parent.bandValue= '10';
            parent.update();
        }
    }
    CustomButton {
        id: tband112
        color: "silver"
        width:units.gu(6)
        text: "+10%"
        value:4
        onClicked: {
            parent.bandColor="silver";
            parent.bandValue= '11';
            parent.update();
        }
    }
    
    function update(){
      resistorPage.update()
    }
    
	//no tolerance colour = 20%
}
