import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: bandselect
    x:0
    y:400
    width: parent.width
    height: units.gu(4)
    color: "transparent"

    property int bandValue:0
    property string bandColor:'black'
    
    property real offsetX:0.1
    property real offsetY:0
    
    
    CustomButton {
        id: band11
        value:0
        color: "black"
        text:'0'
        textColor:'white'
        onClicked: {
            parent.bandColor='black';
            parent.bandValue= '0';
            parent.update();
        }
    }
    CustomButton  {
        id: band12
        value:1
        color: "brown"
        text: "1"
        onClicked: {
            parent.bandColor="brown";
            parent.bandValue= '1';
            parent.update();
        }
    }
    CustomButton {
        id: band13
        value:2
        color: "red"
        text: "2"
        onClicked: {
            parent.bandColor="red";
            parent.bandValue= '2';
            parent.update();
        }
    }
    CustomButton {
        id: band14
        value:3
        color: "orange"
        text: "3"
        onClicked: {
            parent.bandColor="orange";
            parent.bandValue= '3';
            parent.update();
        }
    }
    CustomButton {
        id: band15
        value:4
        color: "yellow"
        text: "4"
        onClicked: {
            parent.bandColor="yellow";
            parent.bandValue= '4';
            parent.update();
        }
    }
    CustomButton {
        id: band16
        value:5
        color: "green"
        text: "5"
        onClicked: {
            parent.bandColor="green";
            parent.bandValue= '5';
            parent.update();
        }
    }

    CustomButton {
        id: band17
        value:6
        color: "blue"
        text: "6"
        onClicked: {
            parent.bandColor="blue";
            parent.bandValue= '6';
            parent.update();
        }
    }
    CustomButton {
        id: band18
        value:7
        color: "violet"
        text: "7"
        onClicked: {
            parent.bandColor="violet";
            parent.bandValue= '7';
            parent.update();
        }
    }
    CustomButton {
        id: band19
        value:8
        color: "lightgrey"
        text: "8"
        onClicked: {
            parent.bandColor="lightgrey";
            parent.bandValue= '8';
            parent.update();
        }
    }
    CustomButton {
        id: band110	
        value:9
        color: "white"
        text: "9"
        textColor:'black'
        onClicked: {
            parent.bandColor="white";
            parent.bandValue= '9';
            parent.update();
        }
    }

    function update(){
      resistorPage.update()
    }
}
